Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class SAMLSenderVouchesCredential

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
          be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
              be.ehealth.technicalconnector.service.sts.security.impl.SAMLSenderVouchesCredential

All Implemented Interfaces:
  Credential, ExtendedCredential, SAMLToken

    public class SAMLSenderVouchesCredential

extends AbstractSAMLToken

SAMLSenderVouchesCredential. Extends : `AbstractSAMLToken`

Constructor Summary
`SAMLSenderVouchesCredential(Element assertion, Credential credential)` Instantiates a SAMLSenderVouchesCredential

Method Summary

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
`checkValidity, getAssertion, getAssertionID, getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
`getCertPath, getExpirationDateTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential
`getCertPath, getExpirationDateTime`

Constructor Detail

### SAMLSenderVouchesCredential

    public SAMLSenderVouchesCredential(Element assertion,
                                       Credential credential)

  Instantiates a SAMLSenderVouchesCredential

  Parameters:
    `assertion` - the assertion
    `credential` - the credential

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.